###
###
#   Exchange data with ATEasy server '127.0.0.1:10'
###

import socket   # TCP inter-process socket
import sys
import ctypes   # An included library with Python install.
import math

"""
==========================
v___User definitions___v
==========================
"""


#   Connect to localhost --> server at '127.0.0.1:10
def connect_and_confirm_ateasy(host, port, input_data=0):
    sck = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sck.connect((host, port))
    if input_data == 1:
        receive_and_process_ateasy(sck)
    else:
        sck.send(b'Python: Winsock connection established')
    return sck


#   Receive data from ATEasy
def receive_and_process_ateasy(sck):
    rx_data = int(sck.recv(4))
    rx_data = math.factorial(rx_data)
    sck.send(str(rx_data).encode())


def win_message(message):
##if message != "":
##        ctypes.windll.user32.MessageBoxW(0, "Hello, ATEasy!\n\n"+message+"\n\nRegards,"
##                                            "\nImported Python module ",
##                                         "Greetings from ATEasy_PythonExample module", 0)
##        return message+"...append Python"
##    else:
##
    ctypes.windll.user32.MessageBoxW(0, "Hello, ATEasy!\n\nRegards,"
                                            "\nImported Python module\n"+
                                            "message argument is: '"+message+"'", 
                                         "Greetings from ATEasy_PythonExample module", 0)
    return 42


"""
==========================
v___Main___v
==========================
"""
if __name__ == "__main__":
    win_message("Nice to meet you.")
